layui.use([ 'element', 'table', 'laydate', 'form' ], function() {
	var $ = layui.jquery;
	var table = layui.table;
	var laydate = layui.laydate;
	var element = layui.element;
	var form = layui.form;

	// 生成表格
	table.render({
		elem 	: '#bugTable',
		url 	: '../../../getBugs', 
		toolbar : '#toolbarDemo',
		title 	: '系统问题表',// 导出文件名
		id 		: 'bugTableAll',
		// 开启分页
		page 	: {
			layout : [ 'count', 'prev', 'page', 'next', 'skip', 'limit' ]
		},
		/*request : {
			'limitName' : 'pageSize' // 分页每页条数默认字段改为pageSize
		},*/
		where:{
			username :'',
			realname :''
		},
		cellMinWidth : 80, // 全局定义常规单元格的最小宽度，layui 2.2.1 新增
		cols : [ [ {
			type : 'numbers',
			title : '序号',
			width : 50,
			fixed : "left"
		},{
			field : 'createBy',
			width :  150,
			title : '提交者'
		},{
			field : 'bugRemark',
			title : '状态'
		},{
			field : 'createDate',
			title : '创建时间',
			width :  180,
			templet : function(d) {
				return d.createDate != null ?layui.util.toDateString(d.createDate, "yyyy-MM-dd HH:mm:ss") : "";
			} 
		}] ],
		parseData : function(res) { //将原始数据解析成 table 组件所规定的数据
			return {
				"code" 	: 0, //解析接口状态
				"msg" 	: "", //解析提示文本
				"count"	: res.list.length,//解析数据长度
				"data" 	: res.list//解析数据列表
			};
		}
	});

	//点击查询按钮，重载表格
	$('#searchBtn').on('click', function() {
		table.reload('bugTableAll', {
			method : 'post',
			where : {
				realname : $("#realname").val()
			},
			page : {
				curr : 1
			}
		});
		return false;
	});
	// 监听头部工作栏的 新增用户
	table.on('toolbar(bugTable)', function(obj) {
		var checkStatus = table.checkStatus(obj.config.id);
		switch (obj.event) {
		case 'add':
			layer.open({
				type : 2,
				title : "提交问题",
				fix: false, //不固定
	    		maxmin: true,
				area : [ '45%', '70%' ],
				content : './addBug.jsp',
			});
			break;
		}
		;
	});
});
